# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 82335583eba15e87749d0e663270353005fca30b
    parent 0cd5117a2cfc4134712de748ec416be0655838b2
    Author: Christoph Lohmann <20h@r-36.net>
    Date:   Sat, 30 Jan 2016 09:50:18 +0100

    Ok, no need for a separate version function.

    This is just redundant metadata. Please add Java comment meta classes too.

    Diffstat:
    Mst.c | 9+--------

    1 file changed, 1 insertion(+), 8 deletions(-)
    diff --git a/st.c b/st.c
    @@ -486,7 +486,6 @@ static void *xrealloc(void *, size_t);
     static char *xstrdup(char *);

     static void usage(void);
    -static void version(void);

     static void (*handler[LASTEvent])(XEvent *) = {
     	[KeyPress] = kpress,
    @@ -4342,12 +4341,6 @@ usage(void)
     	" [stty_args ...]\n", argv0, argv0);
     }

    -void
    -version(void)
    -{
    -	die("%s " VERSION " (c) 2010-2016 st engineers\n", argv0);
    -}
    -
     int
     main(int argc, char *argv[])
     {
    @@ -4395,7 +4388,7 @@ main(int argc, char *argv[])
     		opt_embed = EARGF(usage());
     		break;
     	case 'v':
    -		version();
    +		die("%s " VERSION " (c) 2010-2016 st engineers\n", argv0);
     		break;
     	default:
     		usage();